Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class Base64EncryptedDataType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Base64EncryptedDataType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class Base64EncryptedDataType

extends Object
implements Serializable

Java class for Base64EncryptedDataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Base64EncryptedDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ENCRYPTION-METHOD"/>
             <element name="Base64EncryptedValue" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}Base64EncryptedValueType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Base64EncryptedDataType()`

Method Summary
`Base64EncryptedValueType` | `getBase64EncryptedValue()` Gets the value of the base64EncryptedValue property.
`CDENCRYPTIONMETHOD` | `getCd()` Gets the value of the cd property.
`void` | `setBase64EncryptedValue(Base64EncryptedValueType value)` Sets the value of the base64EncryptedValue property.
`void` | `setCd(CDENCRYPTIONMETHOD value)` Sets the value of the cd property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64EncryptedDataType

    public Base64EncryptedDataType()

Method Detail

### getCd

    public CDENCRYPTIONMETHOD getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDENCRYPTIONMETHOD`

### setCd

    public void setCd(CDENCRYPTIONMETHOD value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDENCRYPTIONMETHOD`

### getBase64EncryptedValue

    public Base64EncryptedValueType getBase64EncryptedValue()

  Gets the value of the base64EncryptedValue property.

  Returns:
    possible object is `Base64EncryptedValueType`

### setBase64EncryptedValue

    public void setBase64EncryptedValue(Base64EncryptedValueType value)

  Sets the value of the base64EncryptedValue property.

  Parameters:
    `value` - allowed object is `Base64EncryptedValueType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.